
eXtplorer - PHP-based File Manager - Fehler #40

eXtplorer virker ikke i joomla 1.7

09/19/2011 01:00 PM - m sandvad

Status: Erledigt   

Priority: Normal   

Assignee: Sören Eberhardt-Biermann   

Category: Bug   

Target version: 2.1.0   

eXtplorer Version:  Joomla! Version:  

Description

Jeg arbejder på mac. Den installeres succesfuldt i 1.7, den nyeste versin, men når man vil åbne den, vises fejlen:

Warning: require_once() [function.require-once]: open_basedir restriction in effect. File(/usr/local/lib/php/PEAR.php) is not within the

allowed path(s): (/var/www/sportshistorie.dk/:/var/www/tmp/) in

/var/www/sportshistorie.dk/public_html/administrator/components/com_extplorer/libraries/FTP.php on line 33

Warning: require_once(/usr/local/lib/php/PEAR.php) [function.require-once]: failed to open stream: Operation not permitted in

/var/www/sportshistorie.dk/public_html/administrator/components/com_extplorer/libraries/FTP.php on line 33

Fatal error: require_once() [function.require]: Failed opening required 'PEAR.php' (include_path='.:/usr/local/lib/php') in

/var/www/sportshistorie.dk/public_html/administrator/components/com_extplorer/libraries/FTP.php on line 33

Ved du hvad det skyldes?

Tak for et ellers uundværligt værktøj ;-)

Mvh

Maisen

History

#1 - 02/28/2012 10:59 PM - Lars Westermann

Found the bug - also present in Joomla 2.5.1 when open_basedir is in effect:

In the file <root>/administrator/components/com_extplorer/libraries/FTP.php, the include statement must be altered to:

/**  * Include PEAR.php to obtain the PEAR base class

*/

require_once dirname(FILE).'/PEAR.php';

By adding the dirname() (and the slash before PEAR, the PEAR.php file is found, and the eXtplorer component works

as a charm - couldn't  live without it :-)

Best Regards

Lars

#2 - 02/28/2012 11:02 PM - Lars Westermann

Aarrgghhh!!!

Formatting removes vital information ...

Must be:

require_once dirname(__FILE__).'/PEAR.php';

/Lars

#3 - 03/29/2012 02:43 PM - Sören Eberhardt-Biermann

- Status changed from Neu to Erledigt

- Target version set to 2.1.0

Thanks for the solution!
